export class ApiError extends Error {
  code: number;
  result: any;
  constructor(message: string, code = 1000, result?: any) {
    super(message);
    this.code = code;
    if (result) {
      this.result = result;
    }
  }
}
