# supply-bff-service

## 供应链手机APP（rms） 前端 bff 服务

## 目录结构

```
asset-bff-service
├─ ios 配置
├─ android 配置
├─ config 项目配置
├─ src 业务
│    ├─ apis 业务接口
│    │    ├─ logger 日志(内部)
│    │    ├─ login 登录相关
│    ├─ common 通用
│    │    ├─ entity 实体层
│    │    ├─ filter 过滤器
│    │    ├─ interceptor 拦截器层
│    │    ├─ lib 公共方法
│    ├─ typings 类型
│    │    ├─ 
│    │─ app.controller.ts
│    │─ app.module.ts
│    │─ app.service.ts
│    └─ main.ts 主入口
├─ package.json
└─ tsconfig.json
```

## Description

[Nest](https://github.com/nestjs/nest) framework TypeScript starter repository.

## Installation

```bash
$ npm install
```

## Running the app

```bash
# development
$ npm run start

# watch mode
$ npm run start:dev

# production mode
$ npm run start:prod
```
 
## Test
```bash
# unit tests
$ npm run test

# e2e tests
$ npm run test:e2e

# test coverage
$ npm run test:cov
```



## GraphQl使用
1、在控制台输入以下命令
```bash
$ nest g resource <模块名>
```
2、先选择schema first模式，再选N默认不生成增删改查。
3、然后在生成的.graphql文件中定义对应的模块格式和需要的接口，再修改.resolver文件需要提供的方法，大部分接口只需直接调用workflowService进行转发即可

127.0.0.1:4567/graphql
